---
title: MHL
slug: mhl
docTags: 
createdAt: 2022-04-13T09:35:16.000Z
---

Methods allow you to get a complete list or a specific must-have list in Eyrene, view information about them, update all fields, or only select MHL fields. Also, you can delete MHL by ID.

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /mhl

Retrieve a must-have list.

Use MHL to define a list of products that must necessarily be on the shelf. [MHL\_COMPLIANCE](https://docs.eyrene.com/reports#sn-mhlcompliance) report based on the MHL. MHL is associated with other entities using the display.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "string",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "string",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1rlkLKO5JlhTk3S80Ce0g",
        "code": "{\n   \"count\":3,\n   \"next\":\"http://example.com\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":31,\n         \"name\":\"TOP 45\",\n         \"display\":19\n      },\n      {\n         \"id\":32,\n         \"name\":\"WBD\",\n         \"display\":19\n      },\n      {\n         \"id\":33,\n         \"name\":\"TOP 45\",\n         \"display\":20\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1rlkLKO5JlhTk3S80Ce0g"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/mhl/\r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"limit=3\" \\\r\n  -F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /mhl",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "1f0lsitPXoGcE8wBK4TGO"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands#response-definitions)

***

`count` *integer*

The number of MHLs.

***

`next` *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

`previous` *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

`results` *array of objects*

An array of objects with information about MHLs.

- `id` *string*
  Unique ID.
- `name` *string*
  Human-readable name.
- `display` *string*[
  Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading
# <font color="#3b9f0f">POST</font> /mhl

Сreate a new must-have list.

Use MHL to define a list of products that must necessarily be on the shelf. [MHL\_COMPLIANCE](https://docs.eyrene.com/reports#sn-mhlcompliance) report based on the MHL. MHL is associated with other entities using the display.mhl.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/",
  "name": "Request example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "xcVqafQ2RCx_iOpUkQJ43",
        "code": "{\n   \"result\": \"CREATED\"\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xcVqafQ2RCx_iOpUkQJ43"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X POST\r\n  https://test.eyrene.com/api/v1.5/mhl/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"id=46\" \\\r\n  -F \"name=new_products_matrix\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "POST /mhl",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "V6IxALWN_T7V2d56OICMj"
}
```
:::
::::

***

::::ExpandableHeading
# <font color="#2166ae">GET</font> /mhl/\{id}

Retrieve detailed information about must-have list by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.5/mhl/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":31,\n   \"name\":\"TOP 45\",\n   \"display\":19\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/mhl/31/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /mhl/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-2",
  "legacyHash": "1TrML6JPGXX3n2w6g8eme"
}
```
:::

## Response parameters

***

`id` *string*

Unique ID.

***

`name` *string*

Human-readable name.

***

`display` *string*

[Display](https://docs.eyrene.com/displays) ID.

***

`musthavelist` *string*

Must-have list ID.

***

[](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions)
::::

***

::::ExpandableHeading
# <font color="#f77d05">PUT</font> /mhl/\{id}

Update all must-have list fields.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/{id}",
  "name": "Request example",
  "method": "PUT",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L7oDtGV1IY14Re9Xv3AXQ",
        "code": "{\n   \"id\":45,\n   \"name\":\"new_products_matrix\",\n   \"display\":11\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "L7oDtGV1IY14Re9Xv3AXQ"
  },
  "examples": {
    "languages": [
      {
        "id": "GBxujaKFUEJ3yAzlqWoID",
        "code": "curl –i –X PUT\n  https://test.inspector-cloud.com/api/v1.5/mhl/31/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \n  -F \"id=45\" \\\n  -F \"name=new_products_matrix\" \\\n  -F \"display=11\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GBxujaKFUEJ3yAzlqWoID"
  },
  "description": "PUT /mhl/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-3",
  "legacyHash": "RyZUwKxpJKcWpUmLCJgiP"
}
```
:::

## [​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)Response parameters

***

`id` *string*

Unique ID.

***

`name` *string*

Human-readable name.

***

`display` *string*

[Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading
# <font color="#03d1eb">PATCH</font> /mhl/\{id}

Update some of must-have list fields.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/{id}",
  "name": "Request example",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "display",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":31,\n   \"name\":\"new_products_matrix\",\n   \"display\":19\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X PATCH\r\n  https://test.eyrene.com/api/v1.5/mhl/31/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\r\n  -F \"name=new_products_matrix\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "PATCH /mhl/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-4",
  "legacyHash": "FBDonWn6DSaMMKPDrJPN-"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)

***

`id` *string*

Unique ID.

***

`name` *string*

Human-readable name.

***

`Display` *string*

[Display](https://docs.eyrene.com/displays) ID.

***


::::

***

::::ExpandableHeading
# <font color="#2166ae"></font><font color="#e95c5c">DELETE</font> /mhl/\{id}

Delete must-have list by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/mhl/{id}",
  "name": "Request example",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "MHL ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "dU9xR9j8Bu4jftmV8BprY",
        "code": "{\n   \"result\":\"OK\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dU9xR9j8Bu4jftmV8BprY"
  },
  "examples": {
    "languages": [
      {
        "id": "N8QhhTSDO9fbQybTRclDg",
        "code": "curl –i –X DELETE\n  https://test.eyrene.com/api/v1.5/mhl/31/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "N8QhhTSDO9fbQybTRclDg"
  },
  "description": "DELETE /mhl/{id}",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-5",
  "legacyHash": "6shHjNWw915ZamyfNIxkN"
}
```
:::
::::

***

